Update User Property
POST https://api.fyno.io/v1/{WSID}/{version}/profiles/properties/set
This API enables you to update user properties of your users listed in your User Profiles. If the user with distinct ID doesn't exist, it creates a new user with the provided distinct ID and updates values for all the provided properties.
Note: If a property was not created earlier, it will create a new property and the data type of the property will be determined based on the data type of the value. For example, if you $set a new property called premium_user=true, it will create the premium_user property with Boolean type and value true.
The property values can take the following data types:
- String: Can be alphanumeric and contain a maximum of 255 characters. Example:
user_type=Premiumormembership_number=ABC123. - Number: Can be an integer or a decimal. Example:
ltv=23000orcost=20.34. - Boolean: Can only contain
trueorfalsevalues. - Date: Must be in ISO 8601 format. Example:
membership_date=2020-10-01T18:30:00.000Zormembership_date=2020-10-01T18:30:00Zormembership_date=2020-10-01T18:30:00.000+05:30ormembership_date=2020-10-01T18:30:00+02:00ormembership_date=2020-10-01. - List: Can contain an array of strings, numbers, and dates. Example:
products_ordered=['iPhone 16 Pro', 'iPad 32 GB']orpurchase_amount=[23000, 20.34]orpurchase_date=['2020-10-01T18:30:00Z', '2021-11-01T13:35:00+02:00', '2023-12-05']
If you try to set a value with a data type that does not match the predefined property type, the API will accept the request but ignore the invalid value. For example, if a predefined property cost expects a numeric value and you try to set it to ABC, the API will not store the value.
These user properties can be used to filter your users for creating user cohorts and campaigns.
Authorization
AuthorizationrequiredEnter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account
Path Parameters
WSIDrequiredEnter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionrequiredSpecify the version for which you would like to update the user property.
livetestBody
$setrequiredEnter the property name as JSON key and the value to set as JSON value
distinct_idrequiredEnter the distinct ID that you use to identify the recipient.
Response
Request has been accepted and will be processed asynchronously.
request_idrequired